/*header*/
header {
    background-color: #0cc0df;
    display: flex;
    justify-content: space-around;
}

nav {
    background-color: darkturquoise;
    display: grid;
    grid-template-columns: 33.3% 33.3% 33.3%;
    grid-template-rows: 100%;
}

nav>a {
    color: dimgray;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid black;
}

/*common feature*/
#mainhtml {
    font-family: 'Arial', sans-serif;
    width: 80%;
    height: 800px;
    background-color: #0cc0df;
    margin: 0 auto;
    display: grid;
    grid-template-rows: 20% 5% 65% 10%;
    grid-auto-columns: 100%;
}

/*index page*/
#gridcube {
    display: grid;
    grid-template-columns: 60% 35%;
    grid-template-rows: 95%;
    justify-content: space-evenly;
    align-items: center;
}

#gridcube>section {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#gridcube>section>H1,
#p1 {
    margin-top: 0;
    margin-bottom: 10px;
}

#gridcube>section>H2,
#p2 {
    margin-top: 0;
    margin-bottom: 10px;
}

/*gallery page*/
#main {
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-content: space-evenly;
}

#main>img {
    width: 32%;
    height: 60%;
    margin-top: 20px;
}

#main>h3 {
    width: 30%;
    height: auto;
    margin-bottom: 0;
}

#main>p {
    width: 30%;
    height: auto;
    margin-top: 0;
}

/*contact*/
table,
td,
th {
    border: 1px solid black;
}

#contactA {
    display: grid;
    grid-template-rows: 90%;
    grid-template-columns: 60% 30%;
    justify-content: space-evenly;
    align-items: center;
}

#contactA>form {
    display: grid;
    grid-template-columns: 30% 60%;
    grid-template-rows: repeat(9, 40px);
    align-content: space-between;
    align-items: center;
}

input[type=submit] {
    width: 60px;
    height: 100%;
    grid-column-start: 2;
    justify-self: end;
}

/*footer*/

footer {
    background-color: darkturquoise;
    display: grid;
    grid-template-columns: 33.3% 33.3% 33.3%;
    grid-template-rows: 60% 30%;
    justify-items: center;
    align-items: center;
}

#topF {
    grid-column: 2;
    grid-row: 1;
}

#topF>a>img {
    height: 2em;
    width: 2em;
    margin: 0 0.5em;
}

#copy {
    grid-column: 2;
    grid-row: 2;
    font-size: 0.9em;
}

#sitemap {
    margin-top: 25px;
    grid-column: 3;
    font-size: 1em;
}
